HomeToGo: Search
Search from HomeToGo as JSON. 1 credit per successful call.
GET /v1/hometogo/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
location_id | string | Optional | Any |
destination | string | Optional | Up to 100 characters |
check_in | string | Required | Any |
check_out | string | Required | Any |
adults | integer | Optional | Any |
children | integer | Optional | Any |
currency | string | Optional | EUR, USD, GBP, CHF, SEK, DKK, NOK, PLN, CZK, CAD, AUD |
limit | integer | Optional | Any |
offset | integer | Optional | Any |
page | integer | Optional | Any |
sort | string | Optional | recommended, best_value, price_asc, price_desc, rating |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
type[] | list of string | Optional | condo, holiday_apartment, holiday_house, hotel, bed_and_breakfast, castle, dedicated_room, holiday_park, boat, farm, hostel, pension, other_accommodation, camping_suite, shared_room |
bedrooms | integer | Optional | Any |
bathrooms | integer | Optional | Any |
amenities[] | list of string | Optional | internet, garage, kitchen, pets_allowed, terrace, tv, pool, smoking_not_allowed, dishwasher, washing_machine_available, no_dogs, whirlpool, smoking_allowed, air_conditioning, garden, fireplace, microwave, sauna, cot, barbecue, accessible, fenced, detached |
rating | string | Optional | 3, 3.5, 4, 4.5, 5 |
sale_type | string | Optional | always_instantly_bookable, always_on_request |
Example request
curl "https://api.perceptlayer.com/v1/hometogo/search" \
-H "X-API-Key: $API_KEY"